SpanNotBuilder (Lucene 2.4.1 API)
Keywords: org.apache.lucene.xmlparser.builders.SpanNotBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.xmlparser.builders
Class SpanNotBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.SpanBuilderBase
          org.apache.lucene.xmlparser.builders.SpanNotBuilder

All Implemented Interfaces:
  SpanQueryBuilder, QueryBuilder

    public class SpanNotBuilder

extends SpanBuilderBase

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Constructor Summary
`SpanNotBuilder(SpanQueryBuilder factory)`

Method Summary
`SpanQuery` | `getSpanQuery(Element e)`

Methods inherited from class org.apache.lucene.xmlparser.builders.SpanBuilderBase
`getQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanNotBuilder

    public SpanNotBuilder(SpanQueryBuilder factory)

Parameters:
  `factory` -

Method Detail

### getSpanQuery

    public SpanQuery getSpanQuery(Element e)
                           throws ParserException

  Throws:
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.